nbusres mail not displaying

RESOLVED INCOMPLETE

Status

RESOLVED INCOMPLETE
10 years ago
9 years ago

People

(Reporter: jamesrome, Unassigned)

Tracking

PowerPC
Mac OS X

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

10 years ago
2.0.0.18pre. I can only see the message by viewing the source:
Delivered-To: jamesrome@gmail.com
Received: by 10.187.219.10 with SMTP id w10cs132054faq;
        Sun, 26 Oct 2008 22:45:15 -0700 (PDT)
Received: by 10.140.202.21 with SMTP id z21mr3010790rvf.81.1225086313658;
        Sun, 26 Oct 2008 22:45:13 -0700 (PDT)
Return-Path: <nbusers-digest-return-127648-jamesrome=gmail.com@netbeans.org>
Received: from netbeans.org (s009.sjc.collab.net [204.16.105.18])
        by mx.google.com with SMTP id b8si10008832rvf.9.2008.10.26.22.45.12;
        Sun, 26 Oct 2008 22:45:13 -0700 (PDT)
Received-SPF: pass (google.com: domain of nbusers-digest-return-127648-jamesrome=gmail.com@netbeans.org designates 204.16.105.18 as permitted sender) client-ip=204.16.105.18;
Authentication-Results: mx.google.com; spf=pass (google.com: domain of nbusers-digest-return-127648-jamesrome=gmail.com@netbeans.org designates 204.16.105.18 as permitted sender) smtp.mail=nbusers-digest-return-127648-jamesrome=gmail.com@netbeans.org
Received: (qmail 17724 invoked by uid 5000); 27 Oct 2008 05:45:03 -0000
Precedence: bulk
X-No-Archive: yes
list-help: <mailto:nbusers-digest-help@netbeans.org>
list-unsubscribe: <mailto:nbusers-digest-unsubscribe@netbeans.org>
list-post: <mailto:nbusers@netbeans.org>
Reply-To: nbusers-digest@netbeans.org
Mailing-List: contact nbusers-help@netbeans.org; run by ezmlm
Date: 27 Oct 2008 05:45:03 -0000
Message-ID: <1225086303.17708.ezmlm@netbeans.org>
From: nbusers-digest-help@netbeans.org
Delivered-To: responder for nbusers-digest@netbeans.org
To: nbusers@netbeans.org
MIME-Version: 1.0
Content-Type: multipart/digest; boundary=dpblblcjddeecemdenpn
Subject: nbusers Digest 27 Oct 2008 05:45:03 -0000 Issue 5794


--dpblblcjddeecemdenpn
Content-Type: text/plain; charset=us-ascii


nbusers Digest 27 Oct 2008 05:45:03 -0000 Issue 5794

Topics (messages 127648 through 127677):

NetBeans Keyboard Shortcut SQL "Run Selection"
	127648 by: Karthik

Project folder cannot be created!!
	127649 by: Karthik

Installing a taglib
	127650 by: Karthik

Feature Request: connection between open editor and project tree
	127651 by: dyrathror

Why Hibernate or Persistence App using Netbeans 6.1
	127652 by: dyrathror

JButtonGroup
	127653 by: dyrathror
	127656 by: dyrathror

How to reference Maven project from other project
	127654 by: tkellerer
	127666 by: mkleint

how to reset the default project name
	127655 by: koji Lin

How to change the size of a table?
	127657 by: PEB

NB 6.1 suddenly refuses to startup
	127658 by: Karthik

java.lang.NegativeArraySizeException, I can not see the project tab properly
	127659 by: enediel gonzalez
	127660 by: Karthik

deploy on save for non java files
	127661 by: Michal Hlavac

automatically creation of database and tables with a embedded derby
	127662 by: Xavier Callejas

How do I completely turn off the auto format and auto indent in 6.1?
	127663 by: SeekerOfKnowledge

6.5 RC1 : Why Is The Debugger So Incredibly Slow?
	127664 by: willfarnaby
	127665 by: Karthik
	127667 by: willfarnaby
	127668 by: Jiri Sedlacek
	127670 by: Karthik
	127672 by: Georg Schmid

Build in multiple java versions using Ant
	127669 by: Karthik

Re: code too large
	127671 by: Steven Zedeck
	127673 by: Gregg Wonderly

Netbeans 6.1 inserting tabs when I hit enter instead of spaces
	127674 by: Lionel van den Berg
	127675 by: Lionel van den Berg

Netbeans throws NPE when opening form for editing
	127676 by: fcoutel

Netbeans 6.5 is very far from GA quality
	127677 by: Gary Greenberg

Administrivia:

To subscribe to the digest, e-mail:
	nbusers-digest-subscribe@netbeans.org

To unsubscribe from the digest, e-mail:
	nbusers-digest-unsubscribe@netbeans.org

To post to the list, e-mail:
	nbusers@netbeans.org


----------------------------------------------------------------------

--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127648.ezm"

Message-ID: <1224990621.m2f.11903@forums.netbeans.org>
From: "Karthik" <karthikeyan.rajeswaran@sun.com>
Date: Sun, 26 Oct 2008 03:10:21 +0000
To: nbusers@netbeans.org
Subject:  NetBeans Keyboard Shortcut SQL "Run Selection"

'Tools | Options | Keymap' panel lets us assign keyboard shortcuts to ide actions. Expand the 'System' node and select 'Run SQL Selection'  and assign a shortcut.



regards,

Karthik





--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127649.ezm"

Message-ID: <1224991116.m2f.11904@forums.netbeans.org>
From: "Karthik" <karthikeyan.rajeswaran@sun.com>
Date: Sun, 26 Oct 2008 03:18:36 +0000
To: nbusers@netbeans.org
Subject:  Project folder cannot be created!!

Could be related to :

http://www.netbeans.org/issues/show_bug.cgi?id=138866

http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=4939819



regards,

Karthik





--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127650.ezm"

Message-ID: <1224991403.m2f.11905@forums.netbeans.org>
From: "Karthik" <karthikeyan.rajeswaran@sun.com>
Date: Sun, 26 Oct 2008 03:23:23 +0000
To: nbusers@netbeans.org
Subject:  Installing a taglib

The online help topic 'Accessing a Custom Tag from a JSP Page' may be of help:

http://www.netbeans.org/source/browse/*checkout*/j2ee/platform/javahelp/org/netbeans/modules/j2ee/platform/docs/web/create/jsp/Attic/jsp_usetaglib.html

regards,

Karthik





--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127651.ezm"

Message-ID: <1224980503.m2f.11899@forums.netbeans.org>
From: "dyrathror" <dyrathror@yahoo.de>
Date: Sun, 26 Oct 2008 00:21:43 +0000
To: nbusers@netbeans.org
Subject:  Feature Request: connection between open editor and project tree

Hello Richard,




Richard S. Hall wrote:
> You can do this from the navigate menu, I believe. There are entries for 

> going to the file in the project tab or the file tab. I didn't see an 

> option that allows you to do this automatically, like there is in 

> Eclipse, but this menu entry allows you to do it upon request.

> 

> -> richard

> 




thanks for the hint. Seems that I was fixed too much on an automatic mechanism like in Eclipse and therefore didn't see these navigation possibilities. Ctrl-Shift-1 works fine, I would give it 90% ;) 



D.

------------------------
If all else fails, read the manuals.





--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127652.ezm"

Message-ID: <1224981118.m2f.11900@forums.netbeans.org>
From: "dyrathror" <dyrathror@yahoo.de>
Date: Sun, 26 Oct 2008 00:31:58 +0000
To: nbusers@netbeans.org
Subject:  Why Hibernate or Persistence App using Netbeans 6.1

A little bit more background information about your project would be helpful.

For example is it a PHP / Java / ... Project. Logfile content, ...



I would guess that your problem comes because of a difference in the settings from your netbeans project to the deployed environment in the webserver.



Therefore I would check your webserver settings, classpath, libraries, ...



D.

------------------------
If all else fails, read the manuals.





--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127653.ezm"

Message-ID: <1224981653.m2f.11901@forums.netbeans.org>
From: "dyrathror" <dyrathror@yahoo.de>
Date: Sun, 26 Oct 2008 00:40:53 +0000
To: nbusers@netbeans.org
Subject:  JButtonGroup

Hi Bob,



a ButtonGroup is not visible on the panel.

It is a logical group for RadioButtons which switches all other buttons off if you switch one of the buttons. You need one ButtonGroup and several RadioButtons which you can put together into this group. Additionally to grouping the buttons into the ButtonGroup you have to position them on the panel.



Hope this help.



D.

------------------------
If all else fails, read the manuals.





--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127656.ezm"

Message-ID: <1225024586.m2f.11916@forums.netbeans.org>
From: "dyrathror" <dyrathror@yahoo.de>
Date: Sun, 26 Oct 2008 12:36:26 +0000
To: nbusers@netbeans.org
Subject:  JButtonGroup

Hi,



sorry I only read the first part with the invisible ButtonGroups.



How did you produce the 8 ButtonGroups?

First of all I suppose that you want to build a Desktop Application and are lost in the GUI Builder.

On the lower left there should be an Inspector View in Design mode where you can find the ButtonGroups and also delete them from the context menu. Because the GUI has to keep trac of the bindings there are code regions which are not editable.



I am not sure how to assign the buttons to the group in the GUI Designer because my GUIs are normally handmade but I could add the assignment in the constructor by hand in the Source window.



D.

------------------------
If all else fails, read the manuals.





--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127654.ezm"

Message-ID: <1225012941.m2f.11908@forums.netbeans.org>
From: "tkellerer" <spam_eater@gmx.net>
Date: Sun, 26 Oct 2008 09:22:21 +0000
To: nbusers@netbeans.org
Subject: How to reference Maven project from other project

Hi, 



I have a maven project that builds portlets for a Web Application. Now the source also contains some batch programs that are started from the commandline. As NetBeans does not allow me to setup a "Run Configuration" inside a "Web Project" (which is extremely annoying!) I tried to setup a second projet ("Java Project") that more or less provides a main() startup that calls the real class in my Maven project.



But I cannot add the Maven project as a dependency library to the "plain" project probably because NB doesn't know what the "output" of the Maven project is. So I'm stuck with that solution as well.



So I tried to simply add the output directories of the Maven project to my wrapper project, but then I cannot debug the Maven project (because NB does not find the sources).



I cannot add a simple "Main" class to my real project because I have to specify a working directory when running the classes which is not possible with a web application (or Maven project). The class references several files relative to the current directory, so there is no way I can run it with "Run-File" .



So how can I debug my main class from a Maven based Web project ?



Thomas





--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127666.ezm"

Date: Sun, 26 Oct 2008 19:01:06 +0100
From: mkleint <Milos.Kleint@Sun.COM>
To: nbusers@netbeans.org
Message-id: <4904B062.4090600@sun.com>
MIME-version: 1.0
Content-type: text/plain; format=flowed; charset=ISO-8859-1
Content-transfer-encoding: 7BIT
Subject: Re: [nbusers] How to reference Maven project from other project

tkellerer wrote:
> Hi, 
>
>
>
> I have a maven project that builds portlets for a Web Application. Now the source also contains some batch programs that are started from the commandline. As NetBeans does not allow me to setup a "Run Configuration" inside a "Web Project" (which is extremely annoying!) I tried to setup a second projet ("Java Project") that more or less provides a main() startup that calls the real class in my Maven project.
>
>
>   
I'm sort of lost in your setup. In any case you should be able to use 
the exec:exec plugin to execute a main class in any project. It's setup 
automatically for some packagings (jar) for some needs to be done 
manually in Actions panel in the project properties dialog.

> But I cannot add the Maven project as a dependency library to the "plain" project probably because NB doesn't know what the "output" of the Maven project is. So I'm stuck with that solution as well.
>
>
>   
It's not only about the output, but the ant projects also don't know how 
to recursively build the project dependencies in case of maven.

> So I tried to simply add the output directories of the Maven project to my wrapper project, but then I cannot debug the Maven project (because NB does not find the sources).
>
>
>
> I cannot add a simple "Main" class to my real project because I have to specify a working directory when running the classes which is not possible with a web application (or Maven project). The class references several files relative to the current directory, so there is no way I can run it with "Run-File" .
>   
Again i'm not sure what the obstacles are but check the 
exec-maven-plugin's configuration, I'm pretty sure you can set the 
working directory there.

Milos
>
>
> So how can I debug my main class from a Maven based Web project ?
>
>
>
> Thomas
>
>
>
>
>   


--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127655.ezm"

Message-ID: <747e82370810260545o45be43e3y17520aa23a098d61@mail.gmail.com>
Date: Sun, 26 Oct 2008 20:45:44 +0800
From: "koji Lin" <koji.lin@gmail.com>
To: nbusers@netbeans.org
MIME-Version: 1.0
Content-Type: multipart/alternative; 
	boundary="----=_Part_13165_22591591.1225025144919"
Subject: how to reset the default project name

------=_Part_13165_22591591.1225025144919
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

hi, allim just curious about auto generated project name's count.
when we create new project, like java application,
it will use javaapplication1 as project name at first time.
next time it will be javaapplication2..javaapplication3...etc.

but when i delete all projects created before, the number remains last
project number plus 1.

how to reset it to javaapplication1 again?

thanks.

koji

------=_Part_13165_22591591.1225025144919
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

hi, all<div>im just curious about auto generated project name&#39;s count.</div><div>when we create new project, like java application,</div><div>it will use javaapplication1 as project name at first time.</div><div>next time it will be&nbsp;javaapplication2..javaapplication3...etc.</div>

<div><br></div><div>but when i delete all projects created before, the number remains last project number plus 1.</div><div><br></div><div>how to reset it to&nbsp;javaapplication1 again?</div><div><br></div><div>thanks.</div><div>

<br></div><div>koji</div>

------=_Part_13165_22591591.1225025144919--

--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127657.ezm"

Message-ID: <49048934.6060506@ciudad.com.ar>
Date: Sun, 26 Oct 2008 13:13:56 -0200
From: PEB <balonga@ciudad.com.ar>
MIME-Version: 1.0
To: nbusers@netbeans.org
Content-Type: multipart/mixed; boundary="=======AVGMAIL-490489340000======="
Subject: How to change the size of a table?

--=======AVGMAIL-490489340000=======
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type">
  <title></title>
</head>
<body bgcolor="#ffffff" text="#000000">
I have reworded this call for help assuming it got no response because
it was not clear enough to be understood.<br>
<br>
I want &nbsp; that a swing jTable changes its size (gets larger for
instance) by code.&nbsp; Lets say , for example,&nbsp; I&nbsp; press&nbsp; some&nbsp;
button&nbsp; and it grows in height.<br>
I tried using&nbsp; setSize()&nbsp; in all&nbsp;&nbsp; flavours (dimension, integers)&nbsp; but
it did not work,
although&nbsp; getSize() works and gives the size of the table. <br>
Also I discovered that below (containing)&nbsp; the table there is a
scroll-something
object . This object is almost impossible to pick with the mouse to see
its properties. But although I&nbsp; tried to change its size too using
setSize it did not work either.<br>

<br>
<b>Do you know a way to change the size of table by code? </b><br>
Is there something that have to be simultaneously set?<br>
<br>
Thank you<br>
<br>
PS:&nbsp; By the way, this seems to be&nbsp; another case of properties different
for
different but very similar objects that did not work the same way ? Are
there Sun/Swing/other&nbsp; people&nbsp; taking note of these to solve it in a
future real friendly normalized Java. <br>
<br>
<br>
</body>

</html>
--=======AVGMAIL-490489340000=======
Content-Type: multipart/alternative; 
	boundary="=======AVGMAIL-490489340000======="

--=======AVGMAIL-490489340000=======
Content-Type: text/plain; x-avg=cert; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline
Content-Description: "AVG certification"


No virus found in this outgoing message.
Checked by AVG - http://www.avg.com 
Version: 8.0.175 / Virus Database: 270.8.3/1746 - Release Date: 25/10/2008 1=
7:55

--=======AVGMAIL-490489340000=======--

--=======AVGMAIL-490489340000=======--


--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127658.ezm"

Message-ID: <1225036559.m2f.11925@forums.netbeans.org>
From: "Karthik" <karthikeyan.rajeswaran@sun.com>
Date: Sun, 26 Oct 2008 15:55:59 +0000
To: nbusers@netbeans.org
Subject:  NB 6.1 suddenly refuses to startup

Does the following help?

http://blogs.sun.com/NetBeansSupport/entry/ide_hangs_or_closes

regards,

Karthik





--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127659.ezm"

Message-ID: <COL108-W14BAF42BCB66565CD024D3A5250@phx.gbl>
Content-Type: multipart/alternative;
	boundary="_ddaa9b67-7825-406c-bbd9-766eb5bc4e60_"
From: enediel gonzalez <enediel@hotmail.com>
To: <nbusers@netbeans.org>
Date: Sun, 26 Oct 2008 16:05:16 +0000
MIME-Version: 1.0
Subject: java.lang.NegativeArraySizeException, I can not see the project tab
 properly

--_ddaa9b67-7825-406c-bbd9-766eb5bc4e60_
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable


Hello
I have a project in netbeans 6.1=2C when I open the project (in the project=
s's tab) I see only the beginning of the tree=2C and a sign on the bottom r=
ight side of the IDE showing java.lang.NegativeArraySizeException=2C I can =
continue working on the project on the tab 'Files' and 'Services'.

How I can solve this problem to see propely my project on the first tab

Thanks in advance for any answer=3B

Enediel
_________________________________________________________________
News=2C entertainment and everything you care about at Live.com. Get it now=
!
http://www.live.com/getstarted.aspx=

--_ddaa9b67-7825-406c-bbd9-766eb5bc4e60_
Content-Type: text/html; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<html>
<head>
<style>
.hmmessage P
{
margin:0px=3B
padding:0px
}
body.hmmessage
{
FONT-SIZE: 10pt=3B
FONT-FAMILY:Tahoma
}
</style>
</head>
<body class=3D'hmmessage'>
Hello<br>I have a project in netbeans 6.1=2C when I open the project (in th=
e projects's tab) I see only the beginning of the tree=2C and a sign on the=
 bottom right side of the IDE showing java.lang.NegativeArraySizeException=
=2C I can continue working on the project on the tab 'Files' and 'Services'=
.<br><br>How I can solve this problem to see propely my project on the firs=
t tab<br><br>Thanks in advance for any answer=3B<br><br>Enediel<br /><hr />=
Get news=2C entertainment and everything you care about at Live.com. <a hre=
f=3D'http://www.live.com/getstarted.aspx ' target=3D'_new'>Check it out!</a=
></body>

</html>=

--_ddaa9b67-7825-406c-bbd9-766eb5bc4e60_--

--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127660.ezm"

Message-ID: <1225037807.m2f.11927@forums.netbeans.org>
From: "Karthik" <karthikeyan.rajeswaran@sun.com>
Date: Sun, 26 Oct 2008 16:16:47 +0000
To: nbusers@netbeans.org
Subject:  java.lang.NegativeArraySizeException, I can not see the project tab properly

Can you post the stacktrace? (The stacktrace should be in the ide log file at <userdir>/var/log/messages.log file. On userdir: http://blogs.sun.com/NetBeansSupport/entry/directories_in_netbeans_install_user )

regards,

Karthik





--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127661.ezm"

From: Michal Hlavac <hlavki@hlavki.eu>
To: nbusers@netbeans.org
Date: Sun, 26 Oct 2008 17:23:41 +0100
MIME-Version: 1.0
Content-Type: text/plain;
  charset="us-ascii"
Content-Transfer-Encoding: 7bit
Message-Id: <200810261723.42039.hlavki@hlavki.eu>
Subject: deploy on save for non java files

Hello,

deploy on save looks like promising feature... but it works only for java 
classes on classpath. e.g. when I am coding tapestry 5 project, *.tml 
template files are on classpath (not in Web Pages folder) and saving them 
doesn't fire redeploy.

Is there some ability to change file mask for deploy on change?

thanks, m.

--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127662.ezm"

To: nbusers@netbeans.org
From:  Xavier Callejas <xavier@wflogistics.com>
Date:  Sun, 26 Oct 2008 10:34:29 -0600
Message-ID:  <ge266m$14f$1@ger.gmane.org>
Mime-Version:  1.0
Content-Type:  text/plain; charset=us-ascii
Content-Transfer-Encoding:  7Bit
Subject:  automatically creation of database and tables with a embedded derby


Hi,

I have worked in a swing project with derby as database, I would like the
database to be able to run embedded in another computers and if is the
first time that the application wil run on that computer that automatically
create the database and the tables.

I know that with the jdbc derby parameter 'create=true' it will create the
database, but then, how to create automatically the databases?

Also, I don't remember what is the parameter for tell wich directory I want
for creating the database.

Thanks.


--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127663.ezm"

Message-ID: <20175475.post@talk.nabble.com>
Date: Sun, 26 Oct 2008 09:47:02 -0700 (PDT)
From: SeekerOfKnowledge <markus_schwarz@lycos.com>
To: nbusers@netbeans.org
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Subject: [nbusers] How do I completely turn off the auto format and auto
 indent in 6.1?


I would like to edit Java source just like normal text in a normal text
editor. But so far I have found no options which would allow me to do that
without constantly messing with my own inputs (like moving around braces or
whatever else it does).
-- 
View this message in context: http://www.nabble.com/How-do-I-completely-turn-off-the-auto-format-and-auto-indent-in-6.1--tp20175475p20175475.html
Sent from the Netbeans IDE Users mailing list archive at Nabble.com.


--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127664.ezm"

Message-ID: <20175653.post@talk.nabble.com>
Date: Sun, 26 Oct 2008 10:02:29 -0700 (PDT)
From: willfarnaby <willfarnaby@hotmail.com>
To: nbusers@netbeans.org
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Subject: [nbusers] 6.5 RC1 : Why Is The Debugger So Incredibly Slow?


It takes several minutes (3, 4 or perhaps even 5) for the (Java) debugger to
start and become ready for user input. I've noticed this for some time now,
and it's so bad that I basically never use the debugger.

I cannot believe that others do not experience this lack of performance...
comments?

[I have a dual-core with 2 GB RAM, lots of disk space, XP Pro, no other app
hogging the CPU, etc.]
-- 
View this message in context: http://www.nabble.com/6.5-RC1-%3A-Why-Is-The-Debugger-So-Incredibly-Slow--tp20175653p20175653.html
Sent from the Netbeans IDE Users mailing list archive at Nabble.com.


--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127665.ezm"

Message-ID: <1225041179.m2f.11932@forums.netbeans.org>
From: "Karthik" <karthikeyan.rajeswaran@sun.com>
Date: Sun, 26 Oct 2008 17:12:59 +0000
To: nbusers@netbeans.org
Subject:  6.5 RC1 : Why Is The Debugger So Incredibly Slow?

Could it be related to

http://forums.java.net/jive/thread.jspa?messageID=293858



regards,

Karthik





--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127667.ezm"

Message-ID: <20176860.post@talk.nabble.com>
Date: Sun, 26 Oct 2008 12:06:27 -0700 (PDT)
From: willfarnaby <willfarnaby@hotmail.com>
To: nbusers@netbeans.org
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Subject: Re: [nbusers] 6.5 RC1 : Why Is The Debugger So Incredibly Slow?


No, my etc/hosts file is not the problem.

How to I find out if NetBeans is launching my app for debugging with the
evil -Djava.compiler=NONE option, and if it is, how to remove this config
parameter?

Thanks.




Karthikeyan Rajeswaran wrote:
> 
> Could it be related to
> 
> http://forums.java.net/jive/thread.jspa?messageID=293858
> 
> 
> 
> regards,
> 
> Karthik
> 
> 
> 
> 
> 
> 

-- 
View this message in context: http://www.nabble.com/6.5-RC1-%3A-Why-Is-The-Debugger-So-Incredibly-Slow--tp20175748p20176860.html
Sent from the Netbeans IDE Users mailing list archive at Nabble.com.


--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127668.ezm"

Date: Sun, 26 Oct 2008 20:18:29 +0100
From: Jiri Sedlacek <Jiri.Sedlacek@Sun.COM>
To: nbusers@netbeans.org
Message-id: <4904C285.3000608@sun.com>
MIME-version: 1.0
Content-type: text/plain; format=flowed; charset=ISO-8859-1
Content-transfer-encoding: 7BIT
Subject: Re: [nbusers] 6.5 RC1 : Why Is The Debugger So Incredibly Slow?

VisualVM (https://visualvm.dev.java.net/) will show you all parameters of a running Java application.

Jiri


willfarnaby wrote:
> No, my etc/hosts file is not the problem.
> 
> How to I find out if NetBeans is launching my app for debugging with the
> evil -Djava.compiler=NONE option, and if it is, how to remove this config
> parameter?
> 
> Thanks.
> 
> 
> 
> 
> Karthikeyan Rajeswaran wrote:
>> Could it be related to
>>
>> http://forums.java.net/jive/thread.jspa?messageID=293858
>>
>>
>>
>> regards,
>>
>> Karthik
>>
>>
>>
>>
>>
>>
> 


--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127670.ezm"

Message-ID: <1225049335.m2f.11938@forums.netbeans.org>
From: "Karthik" <karthikeyan.rajeswaran@sun.com>
Date: Sun, 26 Oct 2008 19:28:55 +0000
To: nbusers@netbeans.org
Subject:  6.5 RC1 : Why Is The Debugger So Incredibly Slow?

To determine the command-line used by the ide, you can try setting the ant's verbose mode to true , by setting 'Tools | Options | Miscellaneous | Ant tab | Verbosity level combobox' to verbose.



As Jiri pointed out, VisualVM is also quite a useful tool for diagnosing.





--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127672.ezm"

Message-ID: <211810c90810261347q43310a8by690f3da51cdd6a03@mail.gmail.com>
Date: Sun, 26 Oct 2008 21:47:09 +0100
From: "Georg Schmid" <georg.schmid@gmail.com>
To: nbusers@netbeans.org
MIME-Version: 1.0
Content-Type: multipart/alternative; 
	boundary="----=_Part_15486_13705721.1225054029108"
Subject: Re: [nbusers] 6.5 RC1 : Why Is The Debugger So Incredibly Slow?

------=_Part_15486_13705721.1225054029108
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

If you don't want to profile your application, JConsole may even be more
appropriate.
Just install it from the UC and then click the rightmost button in the
toolbar.

In this way I could verify that NB6.5RC1 is NOT passing the
-Djava.compiler=NONE flag to the debugee.
On my 1GB Dell D600 starting the debugger takes only a few seconds. I'd
suspect a problem with networking (waiting for timeouts).

Georg


2008/10/26 Jiri Sedlacek <Jiri.Sedlacek@sun.com>

> VisualVM (https://visualvm.dev.java.net/) will show you all parameters of
> a running Java application.
>
> Jiri
>
>
>
> willfarnaby wrote:
>
>> No, my etc/hosts file is not the problem.
>>
>> How to I find out if NetBeans is launching my app for debugging with the
>> evil -Djava.compiler=NONE option, and if it is, how to remove this config
>> parameter?
>>
>> Thanks.
>>
>>
>>
>>
>> Karthikeyan Rajeswaran wrote:
>>
>>> Could it be related to
>>>
>>> http://forums.java.net/jive/thread.jspa?messageID=293858
>>>
>>>
>>>
>>> regards,
>>>
>>> Karthik
>>>
>>>
>>>
>>>
>>>
>>>
>>>
>>
>

------=_Part_15486_13705721.1225054029108
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

If you don&#39;t want to profile your application, JConsole may even be more appropriate.<br>Just install it from the UC and then click the rightmost button in the toolbar.<br><br>In this way I could verify that NB6.5RC1 is NOT passing the -Djava.compiler=NONE flag to the debugee.<br>
On my 1GB Dell D600 starting the debugger takes only a few seconds. I&#39;d suspect a problem with networking (waiting for timeouts).<br><br>Georg<br><br><br><div class="gmail_quote">2008/10/26 Jiri Sedlacek <span dir="ltr">&lt;<a href="mailto:Jiri.Sedlacek@sun.com">Jiri.Sedlacek@sun.com</a>&gt;</span><br>

<blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">VisualVM (<a href="https://visualvm.dev.java.net/" target="_blank">https://visualvm.dev.java.net/</a>) will show you all parameters of a running Java application.<br>
<font color="#888888">
<br>
Jiri</font><div><div></div><div class="Wj3C7c"><br>
<br>
<br>
willfarnaby wrote:<br>
<blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
No, my etc/hosts file is not the problem.<br>

<br>
How to I find out if NetBeans is launching my app for debugging with the<br>
evil -Djava.compiler=NONE option, and if it is, how to remove this config<br>
parameter?<br>
<br>
Thanks.<br>
<br>
<br>
<br>
<br>
Karthikeyan Rajeswaran wrote:<br>
<blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
Could it be related to<br>
<br>
<a href="http://forums.java.net/jive/thread.jspa?messageID=293858" target="_blank">http://forums.java.net/jive/thread.jspa?messageID=293858</a><br>

<br>
<br>
<br>
regards,<br>
<br>
Karthik<br>
<br>
<br>
<br>
<br>
<br>
<br>
</blockquote>
<br>
</blockquote>
<br>
</div></div></blockquote></div><br>

------=_Part_15486_13705721.1225054029108--

--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127669.ezm"

Message-ID: <1225049002.m2f.11937@forums.netbeans.org>
From: "Karthik" <karthikeyan.rajeswaran@sun.com>
Date: Sun, 26 Oct 2008 19:23:22 +0000
To: nbusers@netbeans.org
Subject:  Build in multiple java versions using Ant

One possible method you can try is to set the Java Platform explicitly for the project.



In 'Tools | Java platforms' , click 'Add Platform' button to define multiple java platforms. 



Using the default platform, I notice that the project properties do not have any explicit reference to the jdk being used. But when I define a java platform and set the project to use that platform (by setting 'Java Platform' in the project properties dialog's Library Category' panel), I notice that:

- 'platform.active' variable is set to the defined platform in ./nbproject/project.properties.

- several lines are added to the nbproject/build-impl.xml:



[code]

        <j2seproject1:property name="platform.home" value="platforms.${platform.active}.home"/>

        <j2seproject1:property name="platform.bootcp" value="platforms.${platform.active}.bootclasspath"/>

        <fail if="platform.invalid">

 The J2SE Platform is not correctly set up.


 Your active platform is: ${platform.active}, but the corresponding property "platforms.${platform.active}.home" is not found in the project's properties files.

 Either open the project in the IDE and setup the Platform with the same name or add it manually.

 For example like this:

     ant -Duser.properties.file=&lt;path_to_property_file&gt; jar (where you put the property "platforms.${platform.active}.home" in a .properties file)

  or ant -Dplatforms.${platform.active}.home=&lt;path_to_JDK_home&gt; jar (where no properties file is used)

  </fail>

[/code



The path to JDK itself (since it is not a portable value) is defined in <userdir>/build.properties file; this part needs to be manually adjusted when the project is copied over to another system. But platform.active property can be used to parametrize the jdk being used.



(Note: The platform.active only controls which jdk is used to compile the project. The jdk needed for ant (for running the build script) itself is not controlled by the property).





--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127671.ezm"

Message-ID: <20177209.post@talk.nabble.com>
Date: Sun, 26 Oct 2008 12:42:47 -0700 (PDT)
From: Steven Zedeck <szedeck@Artel.com>
To: nbusers@netbeans.org
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Subject: RE: [nbusers] code too large



> I got around the code too large issue by using the IDE to create the GUI
> and then cutting that
> code out of initcomponents and creating other methods. Then pasting that
> code block into the
> new methods.

I have a similar problem. I, too, have a Netbeans GUI with at least 10 tabs
in a TabbedPanel, each of which contains several panels with lots of radio
buttons, tex boxes, pull-down combo boxes, buttons, etc.

I also just today started to get the "code too large" error.

Did you just cut/n/paste components from the initComponents() method and
insert them into a new method such as initComponents1() ? And then remove
them from initComponents? I haven't tried that yet. Does that work?

I thought initComponents is automatically generated. So I would expect
Netbeans to create the components within initComponents regardless whether
they are defined/created in initComponenst1.

Correct?

Thanks again,
Steve


-- 
View this message in context: http://www.nabble.com/code-too-large-tp15884623p20177209.html
Sent from the Netbeans IDE Users mailing list archive at Nabble.com.


--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127673.ezm"

Message-ID: <4905271A.3020808@cytetech.com>
Date: Sun, 26 Oct 2008 21:27:38 -0500
From: Gregg Wonderly <gregg@cytetech.com>
MIME-Version: 1.0
To: nbusers@netbeans.org
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Subject: Re: [nbusers] code too large

Steven Zedeck wrote:
> 
>> I got around the code too large issue by using the IDE to create the GUI
>> and then cutting that
>> code out of initcomponents and creating other methods. Then pasting that
>> code block into the
>> new methods.
> 
> I have a similar problem. I, too, have a Netbeans GUI with at least 10 tabs
> in a TabbedPanel, each of which contains several panels with lots of radio
> buttons, tex boxes, pull-down combo boxes, buttons, etc.
> 
> I also just today started to get the "code too large" error.

One thing to try and do to reduce this issue, is to make each of your panels 
into separate classes.  You can use a single class as a "data for the panels" 
class and pass that into the panel constructors so that they might share models 
or or other data values.  This also helps you to visualize the "external 
references" to the data.  You can then contemplate whether you have any 
model/data references outside of the event thread etc to help you decide on the 
appropriate concurrency controls and threading use.

Gregg Wonderly

--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127674.ezm"

Message-ID: <4331c5440810262043i139b1800gf663bcb2cf6e71dc@mail.gmail.com>
Date: Mon, 27 Oct 2008 13:43:58 +1000
From: "Lionel van den Berg" <lionelv@gmail.com>
To: nbusers@netbeans.org
MIME-Version: 1.0
Content-Type: multipart/alternative; 
	boundary="----=_Part_60646_15513994.1225079038160"
Subject: Netbeans 6.1 inserting tabs when I hit enter instead of spaces

------=_Part_60646_15513994.1225079038160
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Hi all,

For some reason Netbeans 6.1 has started inserting tabs instead of spaces
when I hit the enter key. I don't think I changed anything relating to this,
I still have the option "Expand tabs to spaces" ticked.

What other config will alter this?

I'm editing Java files.

Cheers

Lionel.

------=_Part_60646_15513994.1225079038160
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Hi all,<br><br>For some reason Netbeans 6.1 has started inserting tabs instead of spaces when I hit the enter key. I don&#39;t think I changed anything relating to this, I still have the option &quot;Expand tabs to spaces&quot; ticked.<br>

<br>What other config will alter this?<br><br>I&#39;m editing Java files.<br><br>Cheers<br><br>Lionel.<br>

------=_Part_60646_15513994.1225079038160--

--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127675.ezm"

Message-ID: <4331c5440810262155s757cfb5bgb39920accf33fdfc@mail.gmail.com>
Date: Mon, 27 Oct 2008 14:55:06 +1000
From: "Lionel van den Berg" <lionelv@gmail.com>
To: nbusers@netbeans.org
MIME-Version: 1.0
Content-Type: multipart/alternative; 
	boundary="----=_Part_61117_27169157.1225083306690"
Subject: Re: Netbeans 6.1 inserting tabs when I hit enter instead of spaces

------=_Part_61117_27169157.1225083306690
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Sorry guys. It would appear after ticking and unticking the "Expand tabs to
spaces" a few times that it recovered - weird.


On 27/10/2008, Lionel van den Berg <lionelv@gmail.com> wrote:
>
> Hi all,
>
> For some reason Netbeans 6.1 has started inserting tabs instead of spaces
> when I hit the enter key. I don't think I changed anything relating to this,
> I still have the option "Expand tabs to spaces" ticked.
>
> What other config will alter this?
>
> I'm editing Java files.
>
> Cheers
>
> Lionel.
>

------=_Part_61117_27169157.1225083306690
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Sorry guys. It would appear after ticking and unticking the &quot;Expand tabs to spaces&quot; a few times that it recovered - weird.<br><br><br><div><span class="gmail_quote">On 27/10/2008, <b class="gmail_sendername">Lionel van den Berg</b> &lt;<a href="mailto:lionelv@gmail.com">lionelv@gmail.com</a>&gt; wrote:</span><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
Hi all,<br><br>For some reason Netbeans 6.1 has started inserting tabs instead of spaces when I hit the enter key. I don&#39;t think I changed anything relating to this, I still have the option &quot;Expand tabs to spaces&quot; ticked.<br>

<br>What other config will alter this?<br><br>I&#39;m editing Java files.<br><br>Cheers<br><span class="sg"><br>Lionel.<br>
</span></blockquote></div><br>

------=_Part_61117_27169157.1225083306690--

--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127676.ezm"

Message-ID: <20181869.post@talk.nabble.com>
Date: Sun, 26 Oct 2008 22:00:32 -0700 (PDT)
From: fcoutel <fcoutel@gemcomsoftware.com>
To: nbusers@netbeans.org
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Subject: [nbusers] Netbeans throws NPE when opening form for editing


Hi!

We are having problems loading some dialogs in Netbeans (5.2,6.1,6.5). We
are using a custom class type for the type that a table column stores
(implemented in ReservesSpinnerCellValue.java)


Netbeans throws the exception below when we try displaying the dialog:
[code]
java.lang.ClassNotFoundException:
com.ecsi.util.swing.ReservesSpinnerCellValue
        at java.net.URLClassLoader$1.run(URLClassLoader.java:200)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:268)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
        at
org.netbeans.ProxyClassLoader.loadClass(ProxyClassLoader.java:252)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:319)
        at java.lang.Class.forName0(Native Method)
        at java.lang.Class.forName(Class.java:164)
        at
org.netbeans.modules.form.editors2.TableModelEditor.readFromXML(TableModelEditor.java:335)
        at
org.netbeans.modules.form.GandalfPersistenceManager.loadProperty(GandalfPersistenceManager.java:2122)
        at
org.netbeans.modules.form.GandalfPersistenceManager.loadComponentProperties(GandalfPersistenceManager.java:2003)
        at
org.netbeans.modules.form.GandalfPersistenceManager.loadComponent(GandalfPersistenceManager.java:869)
        at
org.netbeans.modules.form.GandalfPersistenceManager.restoreComponent(GandalfPersistenceManager.java:840)
        at
org.netbeans.modules.form.GandalfPersistenceManager.loadComponent(GandalfPersistenceManager.java:974)
        at
org.netbeans.modules.form.GandalfPersistenceManager.restoreComponent(GandalfPersistenceManager.java:840)
        at
org.netbeans.modules.form.GandalfPersistenceManager.loadComponent(GandalfPersistenceManager.java:974)
        at
org.netbeans.modules.form.GandalfPersistenceManager.restoreComponent(GandalfPersistenceManager.java:840)
        at
org.netbeans.modules.form.GandalfPersistenceManager.loadComponent(GandalfPersistenceManager.java:974)
        at
org.netbeans.modules.form.GandalfPersistenceManager.restoreComponent(GandalfPersistenceManager.java:840)
        at
org.netbeans.modules.form.GandalfPersistenceManager.loadComponent(GandalfPersistenceManager.java:974)
        at
org.netbeans.modules.form.GandalfPersistenceManager.restoreComponent(GandalfPersistenceManager.java:840)
        at
org.netbeans.modules.form.GandalfPersistenceManager.loadComponent(GandalfPersistenceManager.java:974)
        at
org.netbeans.modules.form.GandalfPersistenceManager.restoreComponent(GandalfPersistenceManager.java:840)
        at
org.netbeans.modules.form.GandalfPersistenceManager.loadComponent(GandalfPersistenceManager.java:974)
        at
org.netbeans.modules.form.GandalfPersistenceManager.loadForm(GandalfPersistenceManager.java:514)
        at
org.netbeans.modules.form.GandalfPersistenceManager.loadForm(GandalfPersistenceManager.java:290)
        at org.netbeans.modules.form.FormEditor$3.run(FormEditor.java:325)
        at org.netbeans.modules.form.FormLAF$2.run(FormLAF.java:274)
        at org.openide.util.Mutex.doEventAccess(Mutex.java:1355)
        at org.openide.util.Mutex.readAccess(Mutex.java:317)
        at
org.netbeans.modules.form.FormLAF.executeWithLookAndFeel(FormLAF.java:259)
        at
org.netbeans.modules.form.FormEditor.loadFormData(FormEditor.java:323)
        at
org.netbeans.modules.form.FormEditor.loadFormDesigner(FormEditor.java:231)

[\code]

Extract of dialog that causes problems where the table is implemented
[code]
                      <Layout
class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
                      <SubComponents>
                        <Component class="com.ecsi.util.swing.Table"
name="pitsTable">
                          <Properties>
                            <Property name="border"
type="javax.swing.border.Border"
editor="org.netbeans.modules.form.editors2.BorderEditor">
                              <Border
info="org.netbeans.modules.form.compat2.border.TitledBorderInfo">
                                <TitledBorder/>
                              </Border>
                            </Property>
                            <Property name="model"
type="javax.swing.table.TableModel"
editor="org.netbeans.modules.form.editors2.TableModelEditor">
                              <Table columnCount="9" rowCount="1">
                                <Column editable="true" title="Pit Number"
type="com.ecsi.util.swing.ReservesSpinnerCellValue"/>
                                <Column editable="true" title="From Bench"
type="com.ecsi.util.swing.ReservesSpinnerCellValue"/>
                                <Column editable="true" title="To Bench"
type="com.ecsi.util.swing.ReservesSpinnerCellValue"/>
                                <Column editable="true" title="From Strip"
type="com.ecsi.util.swing.ReservesSpinnerCellValue"/>
                                <Column editable="true" title="To Strip"
type="com.ecsi.util.swing.ReservesSpinnerCellValue"/>
                                <Column editable="true" title="From Block"
type="com.ecsi.util.swing.ReservesSpinnerCellValue"/>
                                <Column editable="true" title="To Block"
type="com.ecsi.util.swing.ReservesSpinnerCellValue"/>
                                <Column editable="true" title="Parameters"
type="java.lang.String"/>
                                <Column editable="true" title="Colors"
type="java.lang.String"/>
                              </Table>
                            </Property>
                            <Property name="preferredScrollableViewportSize"
type="java.awt.Dimension"
editor="org.netbeans.beaninfo.editors.DimensionEditor">
                              <Dimension value="[100, 64]"/>
                            </Property>
                          </Properties>
                          <AuxValues>
                            <AuxValue
name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer"
value="1"/>
                          </AuxValues>
                        </Component>
                      </SubComponents>
                    </Container>
[\code]

ReservesSpinnerCellValue class
[code]
package com.ecsi.util.swing;

import java.util.Collection;
import java.util.Vector;

/**
 *  Vector class that flags a reserves spinner cell value.
 */
public class ReservesSpinnerCellValue extends Vector {
  /**
   *  Default constructor: Constructs an empty cell value so that its
internal 
   *  data array has size 10 and its standard capacity increment is zero.
   *
   */
  public ReservesSpinnerCellValue() {
    super();
  }

  /**
   *  Constructs a cell value containing the elements of the specified 
   *  collection, in the order they are returned by the collection's
iterator.
   *
   *  @param   col  I  The collection whose elements are to be placed into
this 
   *                   cell value.
   */
  public ReservesSpinnerCellValue(final Collection col) {
    super(col);
  }

  /**
   *  Constructs an empty cell value with the specified initial capacity and 
   *  with its capacity increment equal to zero.
   *
   *  @param   initialCapacity  I  The initial capacity of the cell value.
   */
  public ReservesSpinnerCellValue(int initialCapacity) {
    super(initialCapacity);
  }

  /**
   *  Constructs an empty cell value with the specified initial capacity and 
   *  capacity increment.
   *
   *  @param   initialCapacity    I  The initial capacity of the vector.
   *  @param   capacityIncrement  I  The amount by which the capacity is 
   *                                 increased when the vector overflows.
   */
  public ReservesSpinnerCellValue(int initialCapacity, int

capacityIncrement) {
    super(initialCapacity, capacityIncrement);
  }

  /**
   *  Create a cell value that is a copy of the supplied vector.
   *
   *  @param   vec  I  Vector that this cell value is to be a copy of.
   */
  public ReservesSpinnerCellValue(final Vector vec) {
    super();

    if (vec != null) {
      ensureCapacity(vec.capacity());
      for (int i=0; i<vec.size(); ++i) {
        add(vec.elementAt(i));
      }
    }
  }
  
  /**
   *  Copy constructor: create a cell value that is a copy of the supplied 
   *  cell value.
   *
   *  @param   celVal  I  Cell value that this cell value is to be a copy
of.
   */
   public ReservesSpinnerCellValue(final ReservesSpinnerCellValue celVal) {
    this((Vector)celVal);
  }
}

[\code]

Note:We have the jar included amongst our project jars that includes this
class. The dialog compiles, runs and display OK BUT cannot be loaded in NB.

Please advise.


-- 
View this message in context: http://www.nabble.com/Netbeans-throws-NPE-when-opening-form-for-editing-tp20181869p20181869.html
Sent from the Netbeans IDE Users mailing list archive at Nabble.com.


--dpblblcjddeecemdenpn
Content-Type: message/rfc822
Content-Disposition: inline; filename="nbusers_127677.ezm"

MIME-Version: 1.0
Content-Type: multipart/alternative;
	boundary="----_=_NextPart_001_01C937F7.1149AD08"
Date: Sun, 26 Oct 2008 22:44:23 -0700
Message-ID: <FC8B1A61A218944FB867DBD955F6FF4301782652@hq.yousendit.com>
From: "Gary Greenberg" <gary.greenberg@yousendit.com>
To: <nbusers@netbeans.org>
Subject: Netbeans 6.5 is very far from GA quality

------_=_NextPart_001_01C937F7.1149AD08
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

Two days ago I decided to check out NB 6.5RC and see if it finally =
became usable.

I have to say that in comparison with Beta and some of the dailies (last =
time I checked it was at the beginning of September)

it made a big progress.

However, it is still not even close to what I consider GA quality.

Every time I am opening a project - it throws an exception.

The startup is still quite slow, although, I have 1GB allocated for the =
Xmx. (My laptop has 4GB RAM)

First time I tried to create a Java file - I got an error because there =
weren't anything Templates directory.=20

(I fixed it by copying from my 6.1 installation).

I wanted to create a Hibernate mapping file but hints that NB provides =
are making things even worse than

if there were no hints at all. It plainly confuses me. I haven't work =
with Hibernate for =BD year and forgot some things.

For example NB offers me <natural-id> block but does not have =
<composite-id>.=20

It does not hint you for elements of the construct but when you type it =
by hand it provides hints for values but they aren't always accurate.

I.e. in the mapped class there is a set mapped to the other table. For =
ID and ELEMENT columns NB offers me columns from the base table.

=20

I haven't gone very far but I am already frustrated.

IMHO another beta is in order.

=20


------_=_NextPart_001_01C937F7.1149AD08
Content-Type: text/html;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<html xmlns:v=3D"urn:schemas-microsoft-com:vml" =
xmlns:o=3D"urn:schemas-microsoft-com:office:office" =
xmlns:w=3D"urn:schemas-microsoft-com:office:word" =
xmlns:x=3D"urn:schemas-microsoft-com:office:excel" =
xmlns:p=3D"urn:schemas-microsoft-com:office:powerpoint" =
xmlns:a=3D"urn:schemas-microsoft-com:office:access" =
xmlns:dt=3D"uuid:C2F41010-65B3-11d1-A29F-00AA00C14882" =
xmlns:s=3D"uuid:BDC6E3F0-6DA3-11d1-A2A3-00AA00C14882" =
xmlns:rs=3D"urn:schemas-microsoft-com:rowset" xmlns:z=3D"#RowsetSchema" =
xmlns:b=3D"urn:schemas-microsoft-com:office:publisher" =
xmlns:ss=3D"urn:schemas-microsoft-com:office:spreadsheet" =
xmlns:c=3D"urn:schemas-microsoft-com:office:component:spreadsheet" =
xmlns:odc=3D"urn:schemas-microsoft-com:office:odc" =
xmlns:oa=3D"urn:schemas-microsoft-com:office:activation" =
xmlns:html=3D"http://www.w3.org/TR/REC-html40" =
xmlns:q=3D"http://schemas.xmlsoap.org/soap/envelope/" xmlns:D=3D"DAV:" =
xmlns:x2=3D"http://schemas.microsoft.com/office/excel/2003/xml" =
xmlns:ois=3D"http://schemas.microsoft.com/sharepoint/soap/ois/" =
xmlns:dir=3D"http://schemas.microsoft.com/sharepoint/soap/directory/" =
xmlns:ds=3D"http://www.w3.org/2000/09/xmldsig#" =
xmlns:dsp=3D"http://schemas.microsoft.com/sharepoint/dsp" =
xmlns:udc=3D"http://schemas.microsoft.com/data/udc" =
xmlns:xsd=3D"http://www.w3.org/2001/XMLSchema" =
xmlns:sub=3D"http://schemas.microsoft.com/sharepoint/soap/2002/1/alerts/"=
 xmlns:ec=3D"http://www.w3.org/2001/04/xmlenc#" =
xmlns:sp=3D"http://schemas.microsoft.com/sharepoint/" =
xmlns:sps=3D"http://schemas.microsoft.com/sharepoint/soap/" =
xmlns:xsi=3D"http://www.w3.org/2001/XMLSchema-instance" =
xmlns:udcxf=3D"http://schemas.microsoft.com/data/udc/xmlfile" =
xmlns:wf=3D"http://schemas.microsoft.com/sharepoint/soap/workflow/" =
xmlns:mver=3D"http://schemas.openxmlformats.org/markup-compatibility/2006=
" xmlns:m=3D"http://schemas.microsoft.com/office/2004/12/omml" =
xmlns:mrels=3D"http://schemas.openxmlformats.org/package/2006/relationshi=
ps" =
xmlns:ex12t=3D"http://schemas.microsoft.com/exchange/services/2006/types"=
 =
xmlns:ex12m=3D"http://schemas.microsoft.com/exchange/services/2006/messag=
es" xmlns:Z=3D"urn:schemas-microsoft-com:" xmlns:st=3D"&#1;" =
xmlns=3D"http://www.w3.org/TR/REC-html40">

<head>
<meta http-equiv=3DContent-Type content=3D"text/html; =
charset=3Diso-8859-1">
<meta name=3DGenerator content=3D"Microsoft Word 12 (filtered medium)">
<style>
<!--
 /* Font Definitions */
 @font-face
	{font-family:"Cambria Math";
	panose-1:2 4 5 3 5 4 6 3 2 4;}
@font-face
	{font-family:Calibri;
	panose-1:2 15 5 2 2 2 4 3 2 4;}
 /* Style Definitions */
 p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0in;
	margin-bottom:.0001pt;
	font-size:11.0pt;
	font-family:"Calibri","sans-serif";}
a:link, span.MsoHyperlink
	{mso-style-priority:99;
	color:blue;
	text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
	{mso-style-priority:99;
	color:purple;
	text-decoration:underline;}
span.EmailStyle17
	{mso-style-type:personal-compose;
	font-family:"Calibri","sans-serif";
	color:windowtext;}
.MsoChpDefault
	{mso-style-type:export-only;}
@page Section1
	{size:8.5in 11.0in;
	margin:1.0in 1.0in 1.0in 1.0in;}
div.Section1
	{page:Section1;}
-->
</style>
<!--[if gte mso 9]><xml>
 <o:shapedefaults v:ext=3D"edit" spidmax=3D"1026" />

</xml><![endif]--><!--[if gte mso 9]><xml>
 <o:shapelayout v:ext=3D"edit">
  <o:idmap v:ext=3D"edit" data=3D"1" />
 </o:shapelayout></xml><![endif]-->
</head>

<body lang=3DEN-US link=3Dblue vlink=3Dpurple>

<div class=3DSection1>

<p class=3DMsoNormal>Two days ago I decided to check out NB 6.5RC and =
see if it
finally became usable.<o:p></o:p></p>

<p class=3DMsoNormal>I have to say that in comparison with Beta and some =
of the
dailies (last time I checked it was at the beginning of =
September)<o:p></o:p></p>

<p class=3DMsoNormal>it made a big progress.<o:p></o:p></p>

<p class=3DMsoNormal>However, it is still not even close to what I =
consider GA
quality.<o:p></o:p></p>

<p class=3DMsoNormal>Every time I am opening a project &#8211; it throws =
an
exception.<o:p></o:p></p>

<p class=3DMsoNormal>The startup is still quite slow, although, I have =
1GB
allocated for the Xmx. (My laptop has 4GB RAM)<o:p></o:p></p>

<p class=3DMsoNormal>First time I tried to create a Java file &#8211; I =
got an
error because there weren&#8217;t anything Templates directory. =
<o:p></o:p></p>

<p class=3DMsoNormal>(I fixed it by copying from my 6.1 =
installation).<o:p></o:p></p>

<p class=3DMsoNormal>I wanted to create a Hibernate mapping file but =
hints that
NB provides are making things even worse than<o:p></o:p></p>

<p class=3DMsoNormal>if there were no hints at all. It plainly confuses =
me. I
haven&#8217;t work with Hibernate for =BD year and forgot some =
things.<o:p></o:p></p>

<p class=3DMsoNormal>For example NB offers me &lt;natural-id&gt; block =
but does
not have &lt;composite-id&gt;. <o:p></o:p></p>

<p class=3DMsoNormal>It does not hint you for elements of the construct =
but when
you type it by hand it provides hints for values but they aren&#8217;t =
always
accurate.<o:p></o:p></p>

<p class=3DMsoNormal>I.e. in the mapped class there is a set mapped to =
the other
table. For ID and ELEMENT columns NB offers me columns from the base =
table.<o:p></o:p></p>

<p class=3DMsoNormal><o:p>&nbsp;</o:p></p>

<p class=3DMsoNormal>I haven&#8217;t gone very far but I am already =
frustrated.<o:p></o:p></p>

<p class=3DMsoNormal>IMHO another beta is in order.<o:p></o:p></p>

<p class=3DMsoNormal><o:p>&nbsp;</o:p></p>

</div>

</body>

</html>

------_=_NextPart_001_01C937F7.1149AD08--

--dpblblcjddeecemdenpn--

Comment 1

10 years ago
James, please save test messages as .eml file and attach file to the bug, not as comment.

do you see this problem when using the beta?
  http://www.mozillamessaging.com/en-US/thunderbird/early_releases/
  (backup your profile first)

Comment 2

9 years ago
Please reopen if you can reproduce using the beta   http://www.mozillamessaging.com/en-US/thunderbird/early_releases/

and attach test messages as .eml file to the bug
Status: NEW → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.